# DataExchange
TKXSBase
Transfer

# Transfer_TransferFailure Class Reference

`#include <Transfer_TransferFailure.hxx>`

Inheritance diagram for Transfer_TransferFailure:

[legend]

## Public Member Functions

Standard_EXPORT | Transfer_TransferFailure ()
Standard_EXPORT | Transfer_TransferFailure (const Standard_CString AString)
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Static Public Member Functions

static Standard_EXPORT void | Raise (const Standard_CString aMessage="")
static Standard_EXPORT void | Raise (Standard_SStream &aReason)
static Standard_EXPORT | Handle (Transfer_TransferFailure) NewInstance(const Standard_CString aMessage)

## Private Member Functions

virtual Standard_EXPORT void | Throw () const

## Friends

Standard_EXPORT friend Handle_Standard_Type & | Transfer_TransferFailure_Type_ ()

## Constructor & Destructor Documentation

Standard_EXPORT Transfer_TransferFailure::Transfer_TransferFailure | ( |  | ) | `[inline]`

Standard_EXPORT Transfer_TransferFailure::Transfer_TransferFailure | ( | const Standard_CString | AString | ) | `[inline]`

## Member Function Documentation

Standard_EXPORT const Transfer_TransferFailure::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from Interface_InterfaceError. Reimplemented in Transfer_TransferDeadLoop.

static Standard_EXPORT Transfer_TransferFailure::Handle | ( | Transfer_TransferFailure |  | ) | const`[static]`

static Standard_EXPORT void Transfer_TransferFailure::Raise | ( | Standard_SStream & | aReason | ) | `[static]`

| Reimplemented from Interface_InterfaceError. Reimplemented in Transfer_TransferDeadLoop.

static Standard_EXPORT void Transfer_TransferFailure::Raise | ( | const Standard_CString | aMessage = `""` | ) | `[static]`

| Reimplemented from Interface_InterfaceError. Reimplemented in Transfer_TransferDeadLoop.

virtual Standard_EXPORT void Transfer_TransferFailure::Throw | ( |  | ) | const`[private, virtual]`

| Reimplemented from Interface_InterfaceError. Reimplemented in Transfer_TransferDeadLoop.

## Friends And Related Function Documentation

Standard_EXPORT friend Handle_Standard_Type& Transfer_TransferFailure_Type_ | ( |  | ) | `[friend]`

The documentation for this class was generated from the following file:

- Transfer_TransferFailure.hxx